ISPconfig3 - multiple PHP versions - only default version

Discussion in 'Installation/Configuration' started by Rndoom04, Aug 11, 2019.

  1. Rndoom04

    Rndoom04 New Member

    Good evening,
    how are you today? :) I installed several PHP versions following this guide https://www.howtoforge.com/tutorial...fig-3-from-debian-packages-on-debian-8-and-9/. Everything is okay, server still working, website too. I configured under "System/Additionals PHP versions" two next version. 5.6 and 7.3. Paths are okay, services running. But when I'm creating or modifing site, there is dropdown menu with PHP version. I have there still "PHP 7.0" - default. No another versions.

    Where can be the problem? :) Thank you for your time and help. :)
     

    Attached Files:

  2. till

    till Super Moderator Staff Member ISPConfig Developer

    Change the PHP settings so that no client is selected for this additional PHP.
     
  3. Rndoom04

    Rndoom04 New Member

    It's working! Thank you very much. :)

    Btw. I have only one client. Why ISPconfig can't working with it as the admin? :O
     
  4. till

    till Super Moderator Staff Member ISPConfig Developer

    You can work with ISPConfig as admin only, there is no need to create a client.
     

Share This Page